EDIT - bug #8328

Unpublished record visible in Portal if related name is published
06/04/2019 05:39 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.13

Severity: critical Found in Version:

Description

Unpublished record visible in Portal if related name is published.
Related issues:
Related to EDIT - bug #9230: Type in preparation of a published name displaye... Closed
Has duplicate EDIT - bug #8327: record with publication date is competing wit... Duplicate

Associated revisions

Revision 707cb8bc - 03/18/2020 11:42 AM - Andreas Kohlbecker

ref #8328 hiding name relations with names for unpublished registrations from webservice response

Revision 0868ab9a - 03/18/2020 11:54 AM - Andreas Kohlbecker

ref #8328 improving permission check in NameController and fixing check in RegistrationController

Revision c21cfd4b - 03/19/2020 03:10 PM - Andreas Kohlbecker

ref #8328 fixing bug in render_taxon_or_name related to nomrefs

History

#1 - 06/04/2019 05:39 PM - Wolf-Henning Kusber

- Related to bug #8327: record with publication date is competing with curation status, set to preparation or curation added

#2 - 07/02/2019 01:02 PM - Andreas Kohlbecker
- Priority changed from New to Highest

04/24/2024 1/2




- Target version changed from Unassigned CDM tickets to Release 5.10

#3 - 07/02/2019 01:02 PM - Andreas Kohlbecker

- Severity changed from normal to critical

#4 - 07/02/2019 01:04 PM - Andreas Kohlbecker

- Related to deleted (bug #8327: record with publication date is competing with curation status, set to preparation or curation)

#5 - 07/02/2019 01:05 PM - Andreas Kohlbecker

- Has duplicate bug #8327 record with publication date is competing with curation status, set to preparation or curation added

#6 - 09/20/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#7 - 11/04/2019 04:36 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#8 - 01/16/2020 11:55 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#9 - 03/18/2020 08:55 AM - Andreas Kohlbecker

- Tags changed from phycobank to phycobank, permission, security

#10 - 03/18/2020 11:55 AM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

Hi Henning, this is fixed. Please review after the release if it is also working in the production system.

#11 - 04/28/2020 02:21 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Checked in both portals.

Navicula insula, Ulva olivacea.

Function tested with Basionym (publ.), 1. new combination (publ.), 2. new combination (curation).
Name under curation was not displayed.

Ticket closed.

#12 - 11/16/2020 06:21 PM - Andreas Kohlbecker
- Related to bug #9230: Type in preparation of a published name displayed in PhycoBank Portal Name Page added
